petsc4py (3.22.4-2ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Sep 2025 09:30:31 +0200

petsc4py (3.22.4-2) unstable; urgency=medium

  * debian patch fixes_for_sphinx_MR8685.diff applies upstream MR#8685
    to fix doc build with sphinx. Closes: #1114259.
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Sep 2025 19:22:26 +0200

petsc4py (3.22.4-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:32:31 +0100

petsc4py (3.22.4-1) unstable; urgency=medium

  * New upstream release
  * debian/source/lintian-overrides: drop redundant uses-python-distutils
  * debian/tests Depends: python3-numpy-dev
    (fortranobject.c is needed by f2py, used by legacy demo tests)
  * update debian patch test_demo_no_plot.patch to apply env variable
    PETSC_OPTIONS="-plot false" to prevent display of generated plots
    when running demo tests. Apply in makefiles only.
    Also use MPLBACKEND=Agg for plots generated with matplotlib.
  * debian/tests: run demos with OMPI_MCA_btl_tcp_if_include=lo
    to avoid unreachable pairing warnings

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Mar 2025 01:44:00 +0100

petsc4py (3.22.3-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:29:20 +0100

petsc4py (3.22.3-1) unstable; urgency=medium

  * New upstream release
  * debian/source/lintian-overrides: drop redundant uses-python-distutils
  * debian/tests Depends: python3-numpy-dev
    (fortranobject.c is needed by f2py, used by legacy demo tests)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 16:55:17 +0100

petsc4py (3.22.1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:33:02 +0000

petsc4py (3.22.1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for mpich_4.2.1-2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 12 Dec 2024 09:50:07 +0000

petsc4py (3.22.1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:07:06 +0100

petsc4py (3.22.1-2) unstable; urgency=medium

  * Upload 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:38:03 +0100

petsc4py (3.22.1-1exp1) experimental; urgency=medium

  * New upstream release. New PETSc ABI 3.22.

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Nov 2024 23:49:01 +0100

petsc4py (3.21.6-3) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Add Francesco Ballarin to uploaders
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/tests.

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Nov 2024 21:15:21 +0100

petsc4py (3.21.6-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 19:52:01 +0100

petsc4py (3.21.6-2) unstable; urgency=medium

  * fix doc build
    - remove deprecated --force option from arch-indep build
    - clean files generated by doc build
  * activate use of sphobjinv in doc build
    - remove sphobjinv skipping from debian patch build_docs.patch
    - set LOC=/usr/share/doc/petsc$(PETSC_VERSION)-doc/docs when
      building docs to access petsc objects.inv (from petsc3.21-doc)
    - Build-Depends-Indep: python3-sphobjinv <!nodoc>

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Oct 2024 11:41:10 +0200

petsc4py (3.21.6-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Link docs to the packaged docs, not the online docs.
  * d/control: reformatted, removed references to outdated versions
  * d/copyright: use https version of the format
  * d/rules: stop manually parsing the changelog
  * Added DEP-3 metadata to all the patches.
  * Add missing build dependency on setuptools. Closes: #1080699
  * d/source/lintian-overrides: silence a false-positive about the use of
    distutils when setuptools is not available
  * Add meson dependency for autopkgtests, set flags so that mpiexec
    doesn't freak out about being run as root

  [ Drew Parsons ]
  * New upstream release.
  * update debian patch build_docs.patch
    - skip pydata_sphinx_theme, which is currently broken (Bug#1084781).
      Drop Build-Depends: python3-pydata-sphinx-theme.
    - don't use git when building docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Oct 2024 21:13:50 +0200

petsc4py (3.21.4-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.21.
  * Build-Depends: pybuild-plugin-pyproject
  * Build-Depends-Indep: python-numpy-doc,
    python3-sphinx-rtd-theme <!nodoc>.
    Update build_local_docs.patch for numpy docs.
  * debian/rules: drop deprecated build option --force
    Requires manual removal of intermediate build dir
    (pybuild does not control the pyproject PEP517 build dir)

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Aug 2024 00:41:05 +0200

petsc4py (3.20.5-4ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Sep 2024 09:06:40 +0200

petsc4py (3.20.5-4) unstable; urgency=medium

  * update debian patch build_local_docs.patch to link to numpy docs
    Build-Depends-Indep: python-numpy-doc <!nodoc>
  * drop Build-Depends-Indep: python-pyopencl-doc.
    pocl is flaky, and is at risk of expelling a large swathe of
    unrelated packages from the archive. Linking to pyopencl docs is
    not crucial for petsc4py.

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Aug 2024 02:02:31 +0200

petsc4py (3.20.5-3ubuntu3) oracular; urgency=medium

  * Another no-change rebuild against mpi-defaults 1.17 now that
    petsc was built

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 23 Sep 2024 11:00:35 +0000

petsc4py (3.20.5-3ubuntu2) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 01 Aug 2024 12:59:36 -0700

petsc4py (3.20.5-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 19:29:50 +0200

petsc4py (3.20.5-3) unstable; urgency=medium

  * build the real module in arch-indep builds to be used building docs
  * don't build docs if nodoc is set in DEB_BUILD_OPTIONS

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 19:55:53 +0200

petsc4py (3.20.5-2) unstable; urgency=medium

  * debian/tests: run tests over all supported python versions
  * Build-Depends-Indep: python3-pydata-sphinx-theme (for docs)
  * debian patch build_local_docs.patch sets intersphinx links to
    local docs (numpy docs not yet available)
    - Build-Depends-Indep: petsc3.20-doc, python3-doc,
      python-mpi4py-doc, python-pyopencl-doc <!nodoc>
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 15:26:37 +0200

petsc4py (3.20.5-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.20)
    - man page is now registered in section 3
  * Build-Depends: cython3 (>= 3~)
    - drop debian patch revert_cython_pin_PR6720.patch
  * drop Build-Depends: python3-distutils. Closes: #1065916.
  * debian/tests: update demo tests
    - run demos over all supported python versions
    - run new poisson2d
    - old demo tests now moved to legacy subdir
  * debian patch build_docs.patch disables use of sphobjinv and pylit
    when building docs. They are not yet packaged for Debian.
    - override dh_sphinxdoc: to ignore missing poisson2d text
  * drop build of texinfo docs. Currently generates a doubled
    "@end deffn" causing the texinfo doc build to fail.

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2024 10:01:04 +0100

petsc4py (3.19.6-7ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:13 +1100

petsc4py (3.19.6-7ubuntu2) noble; urgency=medium

  * Drop distutils dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Mar 2024 20:40:42 +0100

petsc4py (3.19.6-7ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 23:47:12 +0100

petsc4py (3.19.6-7) unstable; urgency=medium

  * reduce optimisations in the sh4 build to -O1
    since the sh4 build is running out of memory and failing

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2024 10:40:31 +0100

petsc4py (3.19.6-6ubuntu3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:21:21 +0100

petsc4py (3.19.6-6ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:40 +0100

petsc4py (3.19.6-6ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Feb 2024 09:06:45 +0100

petsc4py (3.19.6-6) unstable; urgency=medium

  * debian patch revert_cython_pin_PR6720.patch also reverts upstream
    PR#6746 and PR#6748.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 12:12:23 +0100

petsc4py (3.19.6-5) unstable; urgency=medium

  * debian patch revert_cython_pin_PR6720.patch reverts upstream
    PR#6720 which pinned cython to 0.29.36. For the debian build the
    cython version is managed by the cython3-legacy dependency.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 11:12:01 +0100

petsc4py (3.19.6-4) unstable; urgency=medium

  * python3-petsc4py Recommends: libpetsc-real-dev |
    libpetsc-complex-dev. To install libpetsc-real3.*-dev, which sets
    /usr/lib/petsc needed for default importing (see petsc4py.pth)

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 02:55:10 +0100

petsc4py (3.19.6-3ubuntu1) noble; urgency=medium

  * Fix build by linking python3 into cython generated files.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Feb 2024 20:53:04 +0100

petsc4py (3.19.6-3) unstable; urgency=medium

  * update debian patch demo_fixes.patch to set MPIEXEC_FLAGS
    separately from MPIEXEC to set number of processes (-n 4).
    Otherwise debci overrides the value with "mpiexec --oversubscribe"
    losing the -n option. See upstream Issue #1520.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 14:06:54 +0100

petsc4py (3.19.6-2) unstable; urgency=medium

  * debian patch test_demo_no_plot.patch sets demos to not plot
    results by default. Displaying plots interferes with autopkgtest
    (debci) package testing.
  * update debian patch demo_fixes.patch to exclude wrap-swig from
    demo tests. It uses CPU-specific optimisations not suitable for
    general CI testing.

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jan 2024 15:18:35 +0100

petsc4py (3.19.6-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * New upstream version 3.19.6
  * Have pybuild use only the default python3 version when building the
    documentation.

  [ Drew Parsons ]
  * Build-Depends: cython3-legacy instead of cython3 as a temporary
    workaround to facilitate the introduction of cython 3.0.
    Thanks Sebastiaan Couwenberg. Closes: #1056830.
  * after dh_clean, delete generated src/petsc4py/PETSc* files.
    Closes: #1047199.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Dec 2023 13:17:26 +0100

petsc4py (3.19.1-1exp1) experimental; urgency=medium

  * New upstream release (new ABI 3.19).
  * drop debian/README.source
    (quilt is now standard with debian/source 3.0)
  * generate fresh docs using sphinx.
    apiref and usrman no longer provided.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Jun 2023 01:12:41 +0200

petsc4py (3.18.5-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Mar 2023 11:15:53 +0100

petsc4py (3.18.4-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 11:45:00 +0100

petsc4py (3.18.3-2) unstable; urgency=medium

  * debian/tests: don't ignore errors, use set -e
  * update debian patch demo_fixes.patch to skip poisson3d and
    wrap-f2py demos (they generate PETSC segfaults).
    See https://gitlab.com/petsc/petsc/-/issues/1308
    f2py is provided by numpy, hence: Closes: #1026346.
  * debian patch petsc_soname_extensions.patch teaches the wrap-swig
    demo to use PETSC_LIB_EXT, enabling use with petsc64.
    Applies also to wrap-cython, but the same trick doesn't fix
    wrap-f2py

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Jan 2023 20:34:30 +0100

petsc4py (3.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Jan 2023 14:18:41 +0100

petsc4py (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * drop use of dh_sphinxdocs (dh --with sphinxdoc).
    PETSc docs are incompatible with sphinx 5. Closes: #1013384.

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Dec 2022 17:58:30 +0100

petsc4py (3.18.0-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.18)

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Oct 2022 23:48:26 +0100

petsc4py (3.17.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1
  * add docs/usrman/searchindex.js to source lintian overrides

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Sep 2022 12:02:44 +0200

petsc4py (3.17.0-1exp1) experimental; urgency=medium

  * New upstream release (API 3.17)

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Apr 2022 10:59:20 +0200

petsc4py (3.16.6-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Apr 2022 14:14:57 +0200

petsc4py (3.16.5-1) unstable; urgency=medium

  * New upstream release.
  * use https://pypi.python.org/packages/source/p/petsc4py/
    as package Homepage since separate gitlab source repo is defunct
    (actual petsc4py source now sits with PETSc source at
    https://gitlab.com/petsc/petsc)
    - debian/source/lintian-overrides authorizes use of pypi-homepage
      (providing petsc4py source tarball separate from petsc)

 -- Drew Parsons <dparsons@debian.org>  Sun, 27 Mar 2022 19:08:26 +0200

petsc4py (3.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Mar 2022 02:28:31 +0100

petsc4py (3.16.0-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI update to 3.16

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Nov 2021 13:10:09 +0100

petsc4py (3.15.1-2) unstable; urgency=medium

  * release petsc4py 3.15 to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Oct 2021 00:16:08 +0200

petsc4py (3.15.1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Sep 2021 13:54:40 +0200

petsc4py (3.15.0-1exp1) experimental; urgency=medium

  * New upstream release (ABI update to PETSc 3.15)
  * Build-Depends: cython3 (>= 0.24~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Apr 2021 23:09:46 +0200

petsc4py (3.14.1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch drop_MATDAAD_9f01b074.patch

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Jan 2021 21:16:03 +1100

petsc4py (3.14.0-3) unstable; urgency=medium

  * debian patch drop_MATDAAD_9f01b074.patch applies the petsc4py
    portion of upstream commit 9f01b074 (PETSC 3.14.2) removing
    MATDAAD references. Closes: #978175.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jan 2021 02:15:37 +1100

petsc4py (3.14.0-2) unstable; urgency=medium

  * sourceful upload for migration to testing

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Nov 2020 10:10:44 +0800

petsc4py (3.14.0-1) unstable; urgency=medium

  * update debian/watch to watch source tarball on pypi.
    The upstream petsc4py repo is now inactive. petsc4py development
    source has been moved to the petsc repo,
    https://gitlab.com/petsc/petsc/-/tree/master/src/binding/petsc4py
    Pypi provides a specific petsc4py source tarball, split out from
    the petsc source (and including doc files).
  * New upstream release.
  * update debian patch demo_fixes.patch to fix build of poisson3d and
    perftest demos

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 14:30:42 +0800

petsc4py (3.13.0-10) unstable; urgency=medium

  * set __PETSC4PY_VERSION__ in debian scripts of all packages, not
    just arch-any packages.

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 11:00:54 +0800

petsc4py (3.13.0-9) unstable; urgency=medium

  * run MPI demos on 4 processes (power of 2 needed by kspsolve demo)
    Closes: #972385.
  * process docs with dh_sphinxdoc
    (with manual handling for searchtools.js,doctools.js,language_data.js)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Oct 2020 23:28:28 +0800

petsc4py (3.13.0-8) unstable; urgency=medium

  * ppc_skip_test_ts_py.patch skips all tests in test_ts_py.py
    (testFDColor as well) on ppc arches.

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Sep 2020 23:31:37 +0800

petsc4py (3.13.0-7) unstable; urgency=medium

  * rename debian patch ppc_skip_testResetAndSolve.patch as
    ppc_skip_test_ts_py.patch and skip testSolve.

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Sep 2020 10:59:52 +0800

petsc4py (3.13.0-6) unstable; urgency=medium

  * update upstream homepage to https://gitlab.com/petsc/petsc4py
  * debian patch ppc_skip_testResetAndSolve.patch skips the
    testResetAndSolve test on ppc arches. Closes: #969715.

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Sep 2020 22:02:51 +0800

petsc4py (3.13.0-5) unstable; urgency=medium

  * swap Depends/Recommends relationships:
    python3-petsc4py Depends: python3-petsc4py-real3.13, etc.
    apt-get install python3-petsc4py should "just work".

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Sep 2020 11:38:56 +0800

petsc4py (3.13.0-4) unstable; urgency=medium

  * split circular dependency by making python3-petsc4py
    Recommends: python3-petsc4py-real | python3-petsc4py-complex | etc
    rather than Depends. Closes: #963847.

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Jul 2020 23:52:33 +0800

petsc4py (3.13.0-3) unstable; urgency=medium

  * bring 64-bit petsc4py to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jun 2020 13:44:50 +0800

petsc4py (3.13.0-2exp1) experimental; urgency=medium

  * provide packages python3-petsc4py-64-real, python3-petsc4py-64-complex,
    python3-petsc4py-64-real3.13 and python3-petsc4py-64-complex3.13
    built against 64-bit PETSc (64-bit indexing)
  * simplify debian/rules using versioned PYBUILD_NAME
  * skip wrap-swig and wrap-f2py MPI demos with 64-bit PETSc
    (they currently segfault and fail)

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jun 2020 22:15:50 +0800

petsc4py (3.13.0-2) unstable; urgency=medium

  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jun 2020 00:46:53 +0800

petsc4py (3.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Apr 2020 19:08:09 +0800

petsc4py (3.12.0-8) unstable; urgency=medium

  * rebuild to allow migration to testing

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Apr 2020 11:57:56 +0800

petsc4py (3.12.0-7) unstable; urgency=medium

  * Facilitate petsc4py support for multiple installed PETSc versions.
    - provide PETSc-version-specific packages python3-petsc4py-real3.12
      and python3-petsc4py-complex3.12.
    - python3-petsc4py-real and python3-petsc4py-complex are now dummy
      packages depending on the specific versioned packages.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Mar 2020 16:02:43 +0800

petsc4py (3.12.0-6) unstable; urgency=medium

  * fix dh_python3 handling for arch-indep build

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Mar 2020 00:17:12 +0800

petsc4py (3.12.0-5) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * python3-petsc4py-real and python-petsc4py-complex now install
    their modules under their respective PETSC_DIR.
  * python3-petsc4py is now a base package (not dummy) providing the
    path to the petsc4py module for the default PETSc installation in
    /usr/lib/petsc. Export the environment variable PETSC_DIR to use
    other PETSc versions or builds.
  * remove alternative links from real or complex modules to petsc4py
    module
  * run debian/tests/run-tests against complex build as well as
    default build

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Mar 2020 20:53:55 +0800

petsc4py (3.12.0-4) unstable; urgency=medium

  * rebuild for testing migration

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Dec 2019 02:03:59 +1100

petsc4py (3.12.0-3) unstable; urgency=medium

  * rename python-petsc4py-docs package as python-petsc4py-doc.
    Closes: #945620.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Dec 2019 11:28:57 +1100

petsc4py (3.12.0-2) unstable; urgency=medium

  * drop debian patch python3.8-fix.diff (3.11.0-3), applied upstream
    in 3.12

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Dec 2019 08:19:12 +1100

petsc4py (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * drop patch demo-wrap-swig-compile.patch: HDF5 handling fixed by
    PETSc upstream commit 6a0bd75 (in petsc 3.11.3+dfsg1-2)
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Oct 2019 19:15:59 +0800

petsc4py (3.11.0-4) unstable; urgency=medium

  * python-petsc4py-docs drop Recommends: python-petsc4py.
    Closes: #945686.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Dec 2019 03:37:40 +0800

petsc4py (3.11.0-3) unstable; urgency=medium

  * drop patch demo-wrap-swig-compile.patch: HDF5 handling fixed by
    PETSc upstream commit 6a0bd75 (in petsc 3.11.3+dfsg1-2)
  * debian patch python3.8-fix.diff fixes build for Python 3.8.
    Closes: #942804.

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2019 17:31:02 +0800

petsc4py (3.11.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-petsc4py (python2 is deprecated)
  * debian patch demo-wrap-swig-compile.patch adds PETSc CFLAGS
    (include paths) to allow the wrap-swig demo to compile
  * autopkgtest: run debian/tests using in-built scripts, not pytest-3

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 03:05:51 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-petsc4py-64-complex3.22`.
